OCI-Lob::close
OCI-Lob::erase
OCI-Lob
PHP Manual

# OCI-Lob::eof

Tests for end-of-file on a large object's descriptor

### Description

bool OCI-Lob::eof ( void )

Tells whether the internal pointer of large object is at the end of LOB.

### Return Values

Returns `TRUE` if internal pointer of large object is at the end of LOB. Otherwise returns `FALSE`.

### Notes

> Note:

> This function will return an Oracle error if OCI-Lob::setBuffering is enabled on the LOB.

### See Also

- OCI-Lob::size